<bugID>965016<Summary>about:accounts should always say "Firefox Accounts", not "Nightly Accounts"</Summary><Description>aboutAccounts.dtd currently has:

&lt;!ENTITY aboutAccounts.pageTitle "&amp;brandShortName; Accounts"&gt;

Which causes the page title to be "Nightly Accounts" or "Aurora Accounts" etc.  It should always be "Firefox Accounts"

(FTR, bug 957426 will be adding to syncBrand.dtd:

&lt;!ENTITY syncBrand.fxa-singular.label "Firefox Account"&gt;
&lt;!ENTITY syncBrand.fxa-plural.label "Firefox Accounts"&gt;

so we should probably just reference that dtd and use them.</Description></bugID>